<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_ewallet.mvvm.MonthlyInvoiceViewModel" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#f2f4f8"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="我的工作发票" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_50dp"
            android:background="@color/white"
            android:gravity="center"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/ll_select_year"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@drawable/payment_invoice_filter_year"
                    android:drawablePadding="@dimen/d_10dp"
                    android:text="年份:"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15d5dp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_select_year"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_23dp"
                    android:text="2021"
                    android:textColor="@color/app_blue"
                    android:textSize="@dimen/d_15d5dp" />

            </LinearLayout>

            <ImageView
                android:layout_width="1dp"
                android:layout_height="@dimen/d_20dp"
                android:src="@drawable/payment_invoice_filter_line" />

            <LinearLayout
                android:id="@+id/ll_select_month"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@drawable/payment_invoice_filter_month"
                    android:drawablePadding="@dimen/d_10dp"
                    android:text="月份"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15d5dp" />


                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_select_month"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_23dp"
                    android:hint="全部"
                    android:textColor="@color/app_blue"
                    android:textColorHint="@color/app_blue"
                    android:textSize="@dimen/d_16sp" />

            </LinearLayout>

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/d_15dp"
            android:focusable="true"
            android:focusableInTouchMode="true"
            app:srlEnablePreviewInEditMode="false">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>

</layout>
